import { TCountry } from "@/types/type";
import styles from "./CountriesList.module.css";

type Props = {
    countryList: TCountry[];
    onSelect: (cca2: string) => void;
};

export const CountriesList = ({ countryList, onSelect }: Props) => {
    return (
        <div>
            <ul className={styles.list}>
                {countryList.map((c, index) => (
                    <li key={index} onClick={() => onSelect(c.cca2)}>
                        {c.name.common}
                    </li>
                ))}
            </ul>
        </div>
    );
};
